Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.deciderscorecomparator
Class AbstractDeciderScoreComparatorFactory

    java.lang.Object
      org.drools.planner.core.localsearch.decider.deciderscorecomparator.AbstractDeciderScoreComparatorFactory

All Implemented Interfaces:
  EventListener, DeciderScoreComparatorFactory, LocalSearchSolverPhaseLifecycleListener

Direct Known Subclasses:
  NaturalDeciderScoreComparatorFactory, ShiftingHardPenaltyDeciderScoreComparatorFactory

    public abstract class AbstractDeciderScoreComparatorFactory

extends Object
implements DeciderScoreComparatorFactory

Abstract superclass for `DeciderScoreComparatorFactory`.

See Also:
  `DeciderScoreComparatorFactory`

Field Summary
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`AbstractDeciderScoreComparatorFactory()`

Method Summary
`void` | `beforeDeciding(LocalSearchStepScope localSearchStepScope)`
`void` | `phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `stepDecided(LocalSearchStepScope localSearchStepScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.localsearch.decider.deciderscorecomparator.DeciderScoreComparatorFactory
`createDeciderScoreComparator`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### AbstractDeciderScoreComparatorFactory

    public AbstractDeciderScoreComparatorFactory()

Method Detail

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### beforeDeciding

    public void beforeDeciding(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `beforeDeciding` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepDecided

    public void stepDecided(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepDecided` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.